Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Functions | Variables
strerror.c File Reference
`#include "ruby/missing.h"`

Go to the source code of this file.

## Functions
char * | strerror (int error)

## Variables
int | sys_nerr
char * | sys_errlist []

## Function Documentation

## ◆ strerror()

char* strerror | ( | int | error | ) |

Definition at line 11 of file strerror.c.

References error, snprintf(), and sys_errlist.

Referenced by rb_maygvl_fd_fix_cloexec(), rb_threadptr_root_fiber_setup(), and rsock_detect_cloexec().

## Variable Documentation

## ◆ sys_errlist

char* sys_errlist[]

Referenced by strerror().

## ◆ sys_nerr

int sys_nerr

Referenced by rb_w32_strerror().